package com.bonus.canteen.core.account.v4.app.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class AppTradeV4PageDTO extends PageDTO {
   @ApiModelProperty("人员Id")
   private @NotNull(
   message = "{acc_single_null_custid_exception}"
) Long custId;
   @ApiModelProperty(
      value = "openid",
      hidden = true
   )
   private String openid;
   @ApiModelProperty(
      value = "来源类型 1-微信小程序 2-微信公众号 3-企业微信 5-支付宝 7-h5 9-钉钉",
      hidden = true
   )
   private Integer sourceType;

   public Long getCustId() {
      return this.custId;
   }

   public String getOpenid() {
      return this.openid;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

}
